## net.dontdrinkandroot.lastfm.api.util
Class UserFriendsPaginatedFetcher

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.util.UserFriendsPaginatedFetcher

All Implemented Interfaces:
  PaginatedFetcher<java.util.List<User>>

    public class UserFriendsPaginatedFetcher

extends java.lang.Object
implements PaginatedFetcher<java.util.List<User>>

Constructor Summary
`UserFriendsPaginatedFetcher(java.lang.String userName)`

Method Summary
`GenericPaginatedResult<java.util.List<User>>` `fetchNextPage(LastfmWebServices ws, PaginatedResult<java.util.List<User>> paginatedResult)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserFriendsPaginatedFetcher

    public UserFriendsPaginatedFetcher(java.lang.String userName)

Method Detail

### fetchNextPage

    public final GenericPaginatedResult<java.util.List<User>> fetchNextPage(LastfmWebServices ws,
                                                                            PaginatedResult<java.util.List<User>> paginatedResult)
                                                                     throws LastfmWebServicesException

  Specified by:
    `fetchNextPage` in interface `PaginatedFetcher<java.util.List<User>>`
  Throws:
    `LastfmWebServicesException`

Copyright © 2012. All Rights Reserved.